## org.eclipse.uml2.uml
Interface AcceptEventAction

All Superinterfaces:
  Action, ActivityNode, Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, ExecutableNode, NamedElement, org.eclipse.emf.common.notify.Notifier, RedefinableElement

All Known Subinterfaces:
  AcceptCallAction

    public interface AcceptEventAction

extends Action

A representation of the model object 'Accept Event Action'. A accept event action is an action that waits for the occurrence of an event meeting specified conditions.

The following features are supported:

- `Is Unmarshall`
- `Result`
- `Trigger`

See Also:
  `UMLPackage.getAcceptEventAction()`

Field Summary

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Method Summary
`OutputPin` `createResult(java.lang.String name, Type type)` Creates a new `OutputPin`, with the specified 'Name', and 'Type', and appends it to the 'Result' containment reference list
`Trigger` `createTrigger(java.lang.String name)` Creates a new `Trigger`, with the specified 'Name', and appends it to the 'Trigger' containment reference list
`OutputPin` `getResult(java.lang.String name, Type type)` Retrieves the first `OutputPin` with the specified 'Name', and 'Type' from the 'Result' containment reference list
`OutputPin` `getResult(java.lang.String name, Type type, boolean ignoreCase)` Retrieves the first `OutputPin` with the specified 'Name', and 'Type' from the 'Result' reference list
`OutputPin` `getResult(java.lang.String name, Type type, boolean ignoreCase, boolean createOnDemand)` Retrieves the first `OutputPin` with the specified 'Name', and 'Type' from the 'Result' containment reference list
`org.eclipse.emf.common.util.EList<OutputPin>` `getResults()` Returns the value of the 'Result' containment reference list.
`Trigger` `getTrigger(java.lang.String name)` Retrieves the first `Trigger` with the specified 'Name' from the 'Trigger' containment reference list
`Trigger` `getTrigger(java.lang.String name, boolean ignoreCase, boolean createOnDemand)` Retrieves the first `Trigger` with the specified 'Name' from the 'Trigger' containment reference list
`org.eclipse.emf.common.util.EList<Trigger>` `getTriggers()` Returns the value of the 'Trigger' containment reference list.
`boolean` `isUnmarshall()` Returns the value of the 'Is Unmarshall' attribute.
`void` `setIsUnmarshall(boolean value)` Sets the value of the '`Is Unmarshall`' attribute
`boolean` `validateNoInputPins(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` AcceptEventActions may have no input pins.
`boolean` `validateNoOutputPins(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` There are no output pins if the trigger events are only ChangeEvents, or if they are only CallEvents when this action is an instance of AcceptEventAction and not an instance of a descendant of AcceptEventAction (such as AcceptCallAction).
`boolean` `validateTriggerEvents(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` If the trigger events are all TimeEvents, there is exactly one output pin.
`boolean` `validateUnmarshallSignalEvents(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` If isUnmarshall is true, there must be exactly one trigger for events of type SignalEvent.

Methods inherited from interface org.eclipse.uml2.uml.Action
`createLocalPostcondition, createLocalPostcondition, createLocalPrecondition, createLocalPrecondition, getContext, getInput, getInput, getInputs, getLocalPostcondition, getLocalPostcondition, getLocalPostconditions, getLocalPrecondition, getLocalPrecondition, getLocalPreconditions, getOutput, getOutput, getOutputs`

Methods inherited from interface org.eclipse.uml2.uml.ExecutableNode
`createHandler, getHandlers`

Methods inherited from interface org.eclipse.uml2.uml.ActivityNode
`getActivity, getIncoming, getIncoming, getIncomings, getInGroups, getInInterruptibleRegions, getInPartition, getInPartition, getInPartitions, getInStructuredNode, getOutgoing, getOutgoing, getOutgoings, getRedefinedNode, getRedefinedNode, getRedefinedNodes, setActivity, setInStructuredNode, validateOwned, validateOwnedStructuredNode`

Methods inherited from interface org.eclipse.uml2.uml.RedefinableElement
`getRedefinedElement, getRedefinedElement, getRedefinedElements, getRedefinitionContext, getRedefinitionContext, getRedefinitionContexts, isConsistentWith, isLeaf, isRedefinitionContextValid, setIsLeaf, validateRedefinitionConsistent, validateRedefinitionContextValid`

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isUnmarshall

    boolean isUnmarshall()

  Returns the value of the 'Is Unmarshall' attribute. The default value is `"false"`. Indicates whether there is a single output pin for the event, or multiple output pins for attributes of the event.

  Returns:
    the value of the 'Is Unmarshall' attribute.
  See Also:
    `setIsUnmarshall(boolean)`, `UMLPackage.getAcceptEventAction_IsUnmarshall()`

### setIsUnmarshall

    void setIsUnmarshall(boolean value)

  Sets the value of the '`Is Unmarshall`' attribute.

  Parameters:
    `value` - the new value of the 'Is Unmarshall' attribute.
  See Also:
    `isUnmarshall()`

### getResults

    org.eclipse.emf.common.util.EList<OutputPin> getResults()

  Returns the value of the 'Result' containment reference list. The list contents are of type `OutputPin`.

  This feature subsets the following features:

  - '`Output`'
  Pins holding the received event objects or their attributes. Event objects may be copied in transmission, so identity might not be preserved.

  Returns:
    the value of the 'Result' containment reference list.
  See Also:
    `UMLPackage.getAcceptEventAction_Result()`

### createResult

    OutputPin createResult(java.lang.String name,
                           Type type)

  Creates a new `OutputPin`, with the specified 'Name', and 'Type', and appends it to the 'Result' containment reference list.

  Parameters:
    `name` - The 'Name' for the new `OutputPin`, or `null`.
    `type` - The 'Type' for the new `OutputPin`, or `null`.
  Returns:
    The new `OutputPin`.
  See Also:
    `getResults()`

### getResult

    OutputPin getResult(java.lang.String name,
                        Type type)

  Retrieves the first `OutputPin` with the specified 'Name', and 'Type' from the 'Result' containment reference list.

  Parameters:
    `name` - The 'Name' of the `OutputPin` to retrieve, or `null`.
    `type` - The 'Type' of the `OutputPin` to retrieve, or `null`.
  Returns:
    The first `OutputPin` with the specified 'Name', and 'Type', or `null`.
  See Also:
    `getResults()`

### getResult

    OutputPin getResult(java.lang.String name,
                        Type type,
                        boolean ignoreCase,
                        boolean createOnDemand)

  Retrieves the first `OutputPin` with the specified 'Name', and 'Type' from the 'Result' containment reference list.

  Parameters:
    `name` - The 'Name' of the `OutputPin` to retrieve, or `null`.
    `type` - The 'Type' of the `OutputPin` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `createOnDemand` - Whether to create a `OutputPin` on demand if not found.
  Returns:
    The first `OutputPin` with the specified 'Name', and 'Type', or `null`.
  See Also:
    `getResults()`

### getResult

    OutputPin getResult(java.lang.String name,
                        Type type,
                        boolean ignoreCase)

  Retrieves the first `OutputPin` with the specified 'Name', and 'Type' from the 'Result' reference list.

  Parameters:
    `name` - The 'Name' of the `OutputPin` to retrieve, or `null`.
    `type` - The 'Type' of the `OutputPin` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
  Returns:
    The first `OutputPin` with the specified 'Name', and 'Type', or `null`.
  See Also:
    `getResults()`

### getTriggers

    org.eclipse.emf.common.util.EList<Trigger> getTriggers()

  Returns the value of the 'Trigger' containment reference list. The list contents are of type `Trigger`. The type of events accepted by the action, as specified by triggers. For triggers with signal events, a signal of the specified type or any subtype of the specified signal type is accepted.

  Returns:
    the value of the 'Trigger' containment reference list.
  See Also:
    `UMLPackage.getAcceptEventAction_Trigger()`

### createTrigger

    Trigger createTrigger(java.lang.String name)

  Creates a new `Trigger`, with the specified 'Name', and appends it to the 'Trigger' containment reference list.

  Parameters:
    `name` - The 'Name' for the new `Trigger`, or `null`.
  Returns:
    The new `Trigger`.
  See Also:
    `getTriggers()`

### getTrigger

    Trigger getTrigger(java.lang.String name)

  Retrieves the first `Trigger` with the specified 'Name' from the 'Trigger' containment reference list.

  Parameters:
    `name` - The 'Name' of the `Trigger` to retrieve, or `null`.
  Returns:
    The first `Trigger` with the specified 'Name', or `null`.
  See Also:
    `getTriggers()`

### getTrigger

    Trigger getTrigger(java.lang.String name,
                       boolean ignoreCase,
                       boolean createOnDemand)

  Retrieves the first `Trigger` with the specified 'Name' from the 'Trigger' containment reference list.

  Parameters:
    `name` - The 'Name' of the `Trigger` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `createOnDemand` - Whether to create a `Trigger` on demand if not found.
  Returns:
    The first `Trigger` with the specified 'Name', or `null`.
  See Also:
    `getTriggers()`

### validateNoInputPins

    boolean validateNoInputPins(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                java.util.Map<java.lang.Object,java.lang.Object> context)

  AcceptEventActions may have no input pins. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateNoOutputPins

    boolean validateNoOutputPins(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                 java.util.Map<java.lang.Object,java.lang.Object> context)

  There are no output pins if the trigger events are only ChangeEvents, or if they are only CallEvents when this action is an instance of AcceptEventAction and not an instance of a descendant of AcceptEventAction (such as AcceptCallAction). true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateTriggerEvents

    boolean validateTriggerEvents(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                  java.util.Map<java.lang.Object,java.lang.Object> context)

  If the trigger events are all TimeEvents, there is exactly one output pin. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateUnmarshallSignalEvents

    boolean validateUnmarshallSignalEvents(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                           java.util.Map<java.lang.Object,java.lang.Object> context)

  If isUnmarshall is true, there must be exactly one trigger for events of type SignalEvent. The number of result output pins must be the same as the number of attributes of the signal. The type and ordering of each result output pin must be the same as the corresponding attribute of the signal. The multiplicity of each result output pin must be compatible with the multiplicity of the corresponding attribute. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.